Bug 190277 - p7zip-plugins contains non-Free unrar code
Summary: p7zip-plugins contains non-Free unrar code
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: p7zip (Show other bugs)
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Saou
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-30 03:33 UTC by Kevin Kofler
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 4.39-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-02 11:09:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kevin Kofler 2006-04-30 03:33:34 UTC
Description of problem:
p7zip-plugins contains the following plugins:
/usr/libexec/p7zip/Formats/Rar.so
/usr/libexec/p7zip/Codecs/Rar29.so
These plugins are derived from unrar source code and thus have the following 
restrictions:
   2. The unRAR sources may be used in any software to handle RAR
      archives without limitations free of charge, but cannot be used
      to re-create the RAR compression algorithm, which is proprietary.
      Distribution of modified unRAR sources in separate form or as a
      part of other software is permitted, provided that it is clearly
      stated in the documentation and source comments that the code may
      not be used to develop a RAR (WinRAR) compatible archiver.
   3. The unRAR utility may be freely distributed. No person or company
      may charge a fee for the distribution of unRAR without written
      permission from the copyright holder.
Neither of these is acceptable for Fedora Extras. Unrar itself isn't currently 
in Extras either: it's available from Livna, indicating that the packager 
considered it unacceptable for Extras too. So these shared objects (and the 
corresponding source directories) should be removed from the Extras package 
(and the source tarball).

Version-Release number of selected component (if applicable):
p7zip-plugins-4.30-3.fc5 (contains the affected plugins)
p7zip-4.30-3.fc5 (contains a copy of the offending license 
in /usr/share/doc/p7zip-4.30/unRarLicense.txt)

Comment 1 Matthias Saou 2006-04-30 09:39:00 UTC
Thanks for pointing this out. I'll take care of it in the next few days.

Comment 2 Matthias Saou 2006-05-02 11:09:21 UTC
I've prepared new packages, updated to 4.39 and modified sources :
rm -rf p7zip_${VERSION}/7zip/{Archive,Compress,Crypto}/Rar*
rm -f 7zip_${VERSION}/DOCS/unRarLicense.txt

This should take care of the problem. I've also looked quickly at the other
plugins just in case, but haven't found any other problematic ones.


Note You need to log in before you can comment on or make changes to this bug.